
var randomflip = 
{
    
    OPENINTAB:false, //true=open in new tab
    INCLUDEDYNAMIC : false, //true,
    BW: bookWorker,
    
    
    onLoad: function() {
        // initialization code
        this.initialized = true;
        this.gfiltersimportexportBundle = Components.classes["@mozilla.org/intl/stringbundle;1"].getService(Components.interfaces.nsIStringBundleService);
        this.mystrings = this.gfiltersimportexportBundle.createBundle("chrome://randomflip/locale/overlay.properties");
        this.loadPrefs();
    },
    getString:function(key)
    {
        try{
            var str = this.mystrings.GetStringFromName(key);
            return str;
        }catch(e)
        {
            return key;
        }
    },
    
    
    //open a url
    openURL :function (url){
        
        if (this.OPENINTAB)//open in tab
            {
                gBrowser.selectedTab=gBrowser.addTab(url);
            }
            else //open in curent window
                {
                    gBrowser.loadURI(url);
                }              
            },
    
    //Open options window
    openPrefWindow : function()
    {

        var prefwin="chrome://randomflip/content/prefs.xul";
        window.openDialog(prefwin, "randomflip: Options", "chrome,dialog,centerscreen,dependent");
    },

    loadPrefs : function()
    {
        try{
            var prefs = Components.classes["@mozilla.org/preferences-service;1"].
            getService(Components.interfaces.nsIPrefBranch);   

            this.OPENINTAB=prefs.getBoolPref("{e4de649c-3e8e-41ce-a254-7d9cb3e92596}.options.openintab");   
            this.INCLUDEDYNAMIC = prefs.getBoolPref("{e4de649c-3e8e-41ce-a254-7d9cb3e92596}.options.includedynamic"); 

            //logThis("OPENINTAB="+this.OPENINTAB+" INCLUDEDYNAMIC="+this.INCLUDEDYNAMIC);

        }catch (ex) {/* Die */}
    },

    //Menu handler      
    onMenuItemCommand: function(evt,mode) {

            switch (mode)
            {
                case 0:
                var url=this.BW.nextURL(this);
                if (url!=null)
                    { this.openURL(url); }
                break;

                case 1:
                this.openPrefWindow();
                break;

            }//swith
        }// onMenuItemCommand
    
};
        
        
      
        
        
//add event listener        
window.addEventListener("load", function(e) { randomflip.onLoad(e); }, false); 
        